# Set the resources a saving applies to

> Curates which resources in the recommendation the saving is limited to (the checked resources)

Source: https://docs.levelfour.ai/api-reference/recommendations/post-recommendations-by-id-resource-selection


## POST /api/v1/recommendations/{recommendation_id}/resource-selection

Curates which resources in the recommendation the saving is limited to (the checked resources)

### Authentication

Send `Authorization: Bearer <token>`.

### Parameters

- `recommendation_id` (path, string, required)

### Request body

Required. Content type `application/json`.

- `selected_resources` (array of string, required): Resource identifiers to keep (the checked resources). Any resource not listed is removed from the recommendation. Must be a non-empty subset of the current resource_breakdown.

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required)
  - `recommendation_id` (string, required)
  - `selected_resources` (array of string, required): The resource ids that remain after the prune

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
